| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ConfigParameter Struct Reference
RTP Parameters and Statistics Counters

Configuration Parameter Data. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | Name
| The name of the parameter . More...
char * | Value
| The value of the parameter . More...
enum unsp__ConfigParmType * | ConfigParmType
| The type of the parameter. More...
char * | ParmDescription
| Textual description of the parameter. More...
char * | ValidRange
| Valid Range of values. More...
char * | Length
| Maximum length. More...
char * | DefaultValue
| Default Value. More...
char * | ValueUnit
| Value Unit. More...
xsd__boolean * | ProcessRestartRequired
| Indicates whether changing the value of the parameter will require the process to restart in order to apply the change. More...
enum unsp__ConfigParmAccess * | ConfigParmAccess
| Access rights to the parameter. More...
xsd__boolean * | ParmDedicatedGUI
| If false, indicates whether the Configuration Parameter is returned as part of the list of parameters. More...

## Detailed Description

Configuration Parameter Data.

## Member Data Documentation

## ◆ ConfigParmAccess

enum unsp__ConfigParmAccess* unsp__ConfigParameter::ConfigParmAccess

Access rights to the parameter.

## ◆ ConfigParmType

enum unsp__ConfigParmType* unsp__ConfigParameter::ConfigParmType

The type of the parameter.

Read Only

## ◆ DefaultValue

char* unsp__ConfigParameter::DefaultValue

Default Value.

Read Only

## ◆ Length

char* unsp__ConfigParameter::Length

Maximum length.

Read Only

## ◆ Name

char* unsp__ConfigParameter::Name

The name of the parameter .

required: true

## ◆ ParmDedicatedGUI

xsd__boolean* unsp__ConfigParameter::ParmDedicatedGUI

If false, indicates whether the Configuration Parameter is returned as part of the list of parameters.

For CMP use.
Read Only

## ◆ ParmDescription

char* unsp__ConfigParameter::ParmDescription

Textual description of the parameter.

Read Only

## ◆ ProcessRestartRequired

xsd__boolean* unsp__ConfigParameter::ProcessRestartRequired

Indicates whether changing the value of the parameter will require the process to restart in order to apply the change.

Read Only

## ◆ ValidRange

char* unsp__ConfigParameter::ValidRange

Valid Range of values.

Read Only

## ◆ Value

char* unsp__ConfigParameter::Value

The value of the parameter .

required: true

## ◆ ValueUnit

char* unsp__ConfigParameter::ValueUnit

Value Unit.

Read Only

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h